Sale using Alt ID API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used for sale using card and guest checkout using Alt ID.

Endpoint

Productionhttps://pginstance/saleservice/api/v1/sale
Testhttps://areionsbi.pc.enstage-sas.com/saleservice/api/v1/sale
Sample request
curl --request POST \
     --url https://areionsbi.pc.enstage-sas.com/saleservice/api/v1/sale \
     --header 'content-type: application/json' \
     --header 'mle-enabled: 0' \
     --header 'pgInstanceId: 1232324' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "pgInstanceId": "720200",
  "merchantId": "44065131",
  "action": "SERVICE_POST_MPI",
  "transactionTypeCode": 9003,
  "currencyCode": "356",
  "acquiringBankId": "93734895",
  "pan": "4123234512341234",
  "expiryDateYYYY": "2024",
  "expiryDateMM": "12",
  "nameOnCard": "Ashish",
  "amount": 100,
  "merchantReferenceNo": "AX143565",
  "orderDesc": "Apple iPOD 20GB",
  "cvv2": "122",
  "mpiTransactionId": "d04480d3-9408-483a-85ce-636e19248545",
  "threeDsXid": "QUJDREVGR0hJSjEyMzQ1Njc4OTA=",
  "threeDsEci": "05",
  "threeDsCavvAav": "AAABBGkgUhI0VngQACBSAAAAAAA=",
  "acquirerID": "8645"
}
'
Response parameters
Parameter M/O/C Description Example

transactionId

M

Unique value generated for each transaction internally by the PG

123456

status

M

Transaction Status

50020 = SUCCESS

(any other value is a failure, full status codes shall be provided in appendix A)

pgErrorCode

M

PG Error Code

0 = No Error

(any other value means some kind of error, full error codes list shall be provided in appendix B)

pgErrorDetail

M

PG Error detail

pg error detail was not set

orderDesc

M

Brief description of items purchased. Len: 0-50 chars

Apple iPOD 20GB

merchantReferenceNo

M

Merchant reference number

AX143565

approvalCode

C

Approval code of Transaction

560252

rrn

O

RRN no for reference

104013006601

creditDebitCardFlag

O

Flag to say whether its credit card or debit card

‘C’ – Credit card ‘D’ – Debit Card ‘P’ – Prepaid Card

ext1

O

Same value will be sent back as pg has received from merchant in the request.

ext2

O

Same value will be sent back as pg has received from merchant in the request.

ext3

O

Same value will be sent back as pg has received from merchant in the request.

ext4

O

Same value will be sent back as pg has received from merchant in the request.

ext5

O

Same value will be sent back as pg has received from merchant in the request.

ext6

O

Same value will be sent back as pg has received from merchant in the request.

ext7

O

Same value will be sent back as pg has

received from merchant in the request

Sample response

Request parameters

Body Params
string
required

This field must contain the PG instance ID.

string
required

This field must include an PG Merchant ID.

string
required

This field must contain the any of the following action to be performed: SERVICE_POST_MPI, SERVICE_POST_MPI_SI, * SERVICE_POST_MPI_RECURRING

integer

This field includes code of transaction types. This field is mandatory when Action=SERVICE_POST_MPI. It can contain any of the following: 9003 for Sale 9001 for Pre Auth

string

This field includes the ISO Code for the currency of amount field. For INR this is 356. If not passed default currency would be used. Length: 3 char.

string
required

This field includes the PG acquiring bank ID.

string
required

This field must include the Visa/Master card number. All the digits as a continuous string without formatting ALT ID to be passed for domestic guest checkout transactions

string
required

This field includes a valid card expiry year in the format yyyy .ALT ID expiry to be passed for domestic guest checkout transactions

string
required

This field includes a valid card expiry month in the format MM. ALT ID expiry to be passed for domestic guest checkout transactions

string
required

This field includes a be a valid name on card.

integer
required

This field must include purchase amount including the minor units of currency with all punctuation removed, i.e., implied decimals and no formatting.

string
required

This field must include merchant reference number

string
required

This field must include a brief description of items purchased. Length 0-50 characters.

string

This field includes a valid CVV2 or CVC2

string

This field includes a Transaction ID from MPI. This is mandatory for Pre-auth & Sale and optional for recurring transactions

string

This field includes a status from MPI. It is mandatory for Pre-auth & Sale and optional for recurring transactions.

string

This field includes a ECI from MPI. It is mandatory for Pre-auth & Sale and optional for recurring transactions.

string

This field includes a CAVV or AVV from MPI. It is an encoded value. It is mandatory for Pre-auth & Sale and optional for recurring transactions.

string

This field includes status from MPI. It is mandatory for Pre-auth & Sale and optional for recurring transactions.

string
required

This field includes acquirer Id provided by Wibmo.

integer

This field includes device category, where 0 for Web,

Headers
string
required

This parameter must contain the API key provided by Wibmo.

integer
required

This parameter must contain the PG instance ID.

integer
required

This parameter must contain the message level encryption keyId.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!